[event.delegateTarget]
signatureVersion1=1.7
signatureDescr1=The element where the currently-called jQuery event handler was attached.
signatureReturns1=Element
ittype1=property
s1=event.delegateTarget
signatureCount=1

[callbacks.fired]
signatureVersion1=1.7
signatureDescr1=Determine if the callbacks have already been called at least once.
signatureReturns1=Boolean
ittype1=method
s1=callbacks.fired
signatureCount=1

[jQuery.Callbacks]
argument1_1=String flags
signatureVersion1=1.7
signatureDescr1=A multi-purpose callbacks list object that provides a powerful way to manage callback lists.
signatureReturns1=
ittype1=method
s1=jQuery.Callbacks
signatureCount=1

[callbacks.locked]
signatureVersion1=1.7
signatureDescr1=Determine if the callbacks list has been locked.
signatureReturns1=Boolean
ittype1=method
s1=callbacks.locked
signatureCount=1

[callbacks.empty]
signatureVersion1=1.7
signatureDescr1=Remove all of the callbacks from a list.
signatureReturns1=undefined
ittype1=method
s1=callbacks.empty
signatureCount=1

[callbacks.lock]
signatureVersion1=1.7
signatureDescr1=Lock a callback list in its current state.
signatureReturns1=undefined
ittype1=method
s1=callbacks.lock
signatureCount=1

[callbacks.fire]
argument1_1=arguments
signatureVersion1=1.7
signatureDescr1=Call all of the callbacks with the given arguments
signatureReturns1=undefined
ittype1=method
s1=callbacks.fire
signatureCount=1

[callbacks.remove]
argument1_1=Function callbacks
signatureVersion1=1.7
signatureDescr1=Remove a callback or a collection of callbacks from a callback list.
signatureReturns1=undefined
ittype1=method
s1=callbacks.remove
signatureCount=1

[callbacks.add]
argument1_1=Function callbacks
signatureVersion1=1.7
signatureDescr1=Add a callback or a collection of callbacks to a callback list.
signatureReturns1=undefined
ittype1=method
s1=callbacks.add
signatureCount=1

[callbacks.disable]
signatureVersion1=1.7
signatureDescr1=Disable a callback list from doing anything more.
signatureReturns1=undefined
ittype1=method
s1=callbacks.disable
signatureCount=1

[callbacks.has]
argument1_1=Function callback
signatureVersion1=1.7
signatureDescr1=Determine whether a supplied callback is in a list
signatureReturns1=Boolean
ittype1=method
s1=callbacks.has
signatureCount=1

[callbacks.fireWith]
argument1_1=context
signatureVersion1=1.7
signatureDescr1=Call all callbacks in a list with the given context and arguments.
signatureReturns1=undefined
ittype1=method
argument1_2=args
s1=callbacks.fireWith
signatureCount=1

[deferred.progress]
argument1_1=Function progressCallbacks
signatureVersion1=1.7
signatureDescr1=Add handlers to be called when the Deferred object generates progress notifications.
signatureReturns1=Deferred
ittype1=method
s1=deferred.progress
signatureCount=1

[deferred.notifyWith]
argument1_1=Object context
signatureVersion1=1.7
signatureDescr1=Call the progressCallbacks on a Deferred object with the given context and
signatureReturns1=Deferred
ittype1=method
argument1_2=Object args
s1=deferred.notifyWith
signatureCount=1

[deferred.notify]
argument1_1=Object args
signatureVersion1=1.7
signatureDescr1=Call the progressCallbacks on a Deferred object with the given
signatureReturns1=Deferred
ittype1=method
s1=deferred.notify
signatureCount=1

[off]
argument1_1=String events
signatureVersion1=1.7
signatureDescr1=Remove an event handler.
signatureReturns1=jQuery
ittype1=method
argument1_2=String selector
argument1_3=Function handler
argument2_1=Map events-map
signatureVersion2=1.7
signatureDescr2=Remove an event handler.
signatureReturns2=jQuery
ittype2=method
argument2_2=String selector
s1=off
signatureCount=2

[deferred.state]
signatureVersion1=1.7
signatureDescr1=Determine the current state of a Deferred object.
signatureReturns1=String
ittype1=method
s1=deferred.state
signatureCount=1

[on]
argument1_1=String events
signatureVersion1=1.7
signatureDescr1=Attach an event handler function for one or more events to the selected elements.
signatureReturns1=jQuery
ittype1=method
argument1_2=String selector
argument1_3=Anything data
argument1_4=Function handler
argument2_1=Map events-map
signatureVersion2=1.7
signatureDescr2=Attach an event handler function for one or more events to the selected elements.
signatureReturns2=jQuery
ittype2=method
argument2_2=String selector
argument2_3=Anything data
s1=on
signatureCount=2

[jQuery.isNumeric]
argument1_1=Object value
signatureVersion1=1.7
signatureDescr1=Determines whether its argument is a number.
signatureReturns1=Boolean
ittype1=method
s1=jQuery.isNumeric
signatureCount=1

[focus]
signatureVersion1=1.6
signatureDescr1=Selects element if it is currently focused.
signatureReturns1=
ittype1=selector
s1=focus
signatureCount=4
argument2_1=Function handler(eventObject)
signatureVersion2=1.0
signatureDescr2=Bind an event handler to the "focus" JavaScript event, or trigger that event on an element.
signatureReturns2=jQuery
ittype2=method
argument3_1=Object eventData
signatureVersion3=1.4.3
signatureDescr3=Bind an event handler to the "focus" JavaScript event, or trigger that event on an element.
signatureReturns3=jQuery
ittype3=method
argument3_2=Function handler(eventObject)
signatureVersion4=1.0
signatureDescr4=Bind an event handler to the "focus" JavaScript event, or trigger that event on an element.
signatureReturns4=jQuery
ittype4=method

[deferred.pipe]
argument1_1=Function doneFilter
signatureVersion1=1.6
signatureDescr1=Utility method to filter and/or chain Deferreds.
signatureReturns1=Promise
ittype1=method
argument1_2=Function failFilter
argument2_1=Function doneFilter
signatureVersion2=1.7
signatureDescr2=Utility method to filter and/or chain Deferreds.
signatureReturns2=Promise
ittype2=method
argument2_2=Function failFilter
argument2_3=Function progressFilter
s1=deferred.pipe
signatureCount=2

[deferred.always]
argument1_1=Function alwaysCallbacks
signatureVersion1=1.6
signatureDescr1=Add handlers to be called when the Deferred object is either resolved or rejected.
signatureReturns1=Deferred
ittype1=method
argument1_2=Function alwaysCallbacks
s1=deferred.always
signatureCount=1

[promise]
argument1_1=String type
signatureVersion1=1.6
signatureDescr1=Return a Promise object to observe when all actions of a certain type bound to the collection, queued or not, have finished.
signatureReturns1=Promise
ittype1=method
argument1_2=Object target
s1=promise
signatureCount=1

[removeProp]
argument1_1=String propertyName
signatureVersion1=1.6
signatureDescr1=Remove a property for the set of matched elements.
signatureReturns1=jQuery
ittype1=method
s1=removeProp
signatureCount=1

[prop]
argument1_1=String propertyName
signatureVersion1=1.6
signatureDescr1=Get the value of a property for the first element in the set of matched elements.
signatureReturns1=String
ittype1=method
s1=prop
signatureCount=4
argument2_1=String propertyName
signatureVersion2=1.6
signatureDescr2=Set one or more properties for the set of matched elements.
signatureReturns2=jQuery
ittype2=method
argument2_2=String, Number, Boolean value
argument3_1=Map map
signatureVersion3=1.6
signatureDescr3=Set one or more properties for the set of matched elements.
signatureReturns3=jQuery
ittype3=method
argument4_1=String propertyName
signatureVersion4=1.6
signatureDescr4=Set one or more properties for the set of matched elements.
signatureReturns4=jQuery
ittype4=method
argument4_2=Function function(index, oldPropertyValue)

[jQuery.ajaxPrefilter]
argument1_1=String dataTypes
signatureVersion1=1.5
signatureDescr1=Handle custom Ajax options or modify existing options before each request is sent and before they are processed by
signatureReturns1=undefined
ittype1=method
argument1_2=Function handler(options, originalOptions, jqXHR)
s1=jQuery.ajaxPrefilter
signatureCount=1

[jQuery.holdReady]
argument1_1=Boolean hold
signatureVersion1=1.6
signatureDescr1=Holds or releases the execution of jQuery's ready event.
signatureReturns1=undefined
ittype1=method
s1=jQuery.holdReady
signatureCount=1

[jQuery.hasData]
argument1_1=Element element
signatureVersion1=1.5
signatureDescr1=Determine whether an element has any jQuery data associated with it.
signatureReturns1=Boolean
ittype1=method
s1=jQuery.hasData
signatureCount=1

[jQuery.now]
signatureVersion1=1.4.3
signatureDescr1=Return a number representing the current time.
signatureReturns1=Number
ittype1=method
s1=jQuery.now
signatureCount=1

[jquery]
signatureVersion1=1.0
signatureDescr1=A string containing the jQuery version number.
signatureReturns1=String
ittype1=property
s1=jQuery
signatureCount=10
argument2_1=selector selector
signatureVersion2=1.0
signatureDescr2=Accepts a string containing a CSS selector which is then used to match a set of elements.
signatureReturns2=jQuery
ittype2=method
argument2_2=Element, jQuery context
argument3_1=Element element
signatureVersion3=1.0
signatureDescr3=Accepts a string containing a CSS selector which is then used to match a set of elements.
signatureReturns3=jQuery
ittype3=method
argument4_1=Object object
signatureVersion4=1.0
signatureDescr4=Accepts a string containing a CSS selector which is then used to match a set of elements.
signatureReturns4=jQuery
ittype4=method
argument5_1=Array elementArray
signatureVersion5=1.0
signatureDescr5=Accepts a string containing a CSS selector which is then used to match a set of elements.
signatureReturns5=jQuery
ittype5=method
argument6_1=Object jQuery object
signatureVersion6=1.0
signatureDescr6=Accepts a string containing a CSS selector which is then used to match a set of elements.
signatureReturns6=jQuery
ittype6=method
signatureVersion7=1.4
signatureDescr7=Accepts a string containing a CSS selector which is then used to match a set of elements.
signatureReturns7=jQuery
ittype7=method
argument8_1=String html
signatureVersion8=1.0
signatureDescr8=Creates DOM elements on the fly from the provided string of raw HTML.
signatureReturns8=jQuery
ittype8=method
argument8_2=document ownerDocument
argument9_1=String html
signatureVersion9=1.4
signatureDescr9=Creates DOM elements on the fly from the provided string of raw HTML.
signatureReturns9=jQuery
ittype9=method
argument9_2=Object props
argument10_1=Function callback
signatureVersion10=1.0
signatureDescr10=Binds a function to be executed when the DOM has finished loading.
signatureReturns10=jQuery
ittype10=method

[deferred.promise]
argument1_1=Object target
signatureVersion1=1.5
signatureDescr1=Return a Deferred's Promise object.
signatureReturns1=Promise
ittype1=method
s1=deferred.promise
signatureCount=1

[jQuery.cssHooks]
signatureVersion1=1.4.3
signatureDescr1=Hook directly into jQuery to override how particular CSS properties are retrieved or set, normalize CSS property naming, or create custom properties.
signatureReturns1=Object
ittype1=property
s1=jQuery.cssHooks
signatureCount=1

[jQuery.parseXML]
argument1_1=String data
signatureVersion1=1.5
signatureDescr1=Parses a string into an XML document.
signatureReturns1=XMLDocument
ittype1=method
s1=jQuery.parseXML
signatureCount=1

[jQuery.when]
argument1_1=Deferred deferreds
signatureVersion1=1.5
signatureDescr1=Provides a way to execute callback functions based on one or more objects, usually
signatureReturns1=Promise
ittype1=method
s1=jQuery.when
signatureCount=1

[deferred.resolveWith]
argument1_1=Object context
signatureVersion1=1.5
signatureDescr1=Resolve a Deferred object and call any doneCallbacks with the given
signatureReturns1=Deferred
ittype1=method
argument1_2=Array args
s1=deferred.resolveWith
signatureCount=1

[deferred.rejectWith]
argument1_1=Object context
signatureVersion1=1.5
signatureDescr1=Reject a Deferred object and call any failCallbacks with the given
signatureReturns1=Deferred
ittype1=method
argument1_2=Array args
s1=deferred.rejectWith
signatureCount=1

[deferred.fail]
argument1_1=Function failCallbacks
signatureVersion1=1.5
signatureDescr1=Add handlers to be called when the Deferred object is rejected.
signatureReturns1=Deferred
ittype1=method
argument1_2=Function failCallbacks
s1=deferred.fail
signatureCount=1

[deferred.done]
argument1_1=Function doneCallbacks
signatureVersion1=1.5
signatureDescr1=Add handlers to be called when the Deferred object is resolved.
signatureReturns1=Deferred
ittype1=method
argument1_2=Function doneCallbacks
s1=deferred.done
signatureCount=1

[deferred.then]
argument1_1=Function doneCallbacks
signatureVersion1=1.5
signatureDescr1=Add handlers to be called when the Deferred object is resolved or rejected.
signatureReturns1=Deferred
ittype1=method
argument1_2=Function failCallbacks
argument2_1=Function doneCallbacks
signatureVersion2=1.7
signatureDescr2=Add handlers to be called when the Deferred object is resolved or rejected.
signatureReturns2=Deferred
ittype2=method
argument2_2=Function failCallbacks
argument2_3=Function progressCallbacks
s1=deferred.then
signatureCount=2

[deferred.reject]
argument1_1=Object args
signatureVersion1=1.5
signatureDescr1=Reject a Deferred object and call any failCallbacks with the given
signatureReturns1=Deferred
ittype1=method
s1=deferred.reject
signatureCount=1

[deferred.isRejected]
signatureVersion1=1.5
signatureDescr1=Determine whether a Deferred object has been rejected.
signatureReturns1=Boolean
ittype1=method
s1=deferred.isRejected
signatureCount=1

[deferred.isResolved]
signatureVersion1=1.5
signatureDescr1=Determine whether a Deferred object has been resolved.
signatureReturns1=Boolean
ittype1=method
s1=deferred.isResolved
signatureCount=1

[deferred.resolve]
argument1_1=Object args
signatureVersion1=1.5
signatureDescr1=Resolve a Deferred object and call any doneCallbacks with the given
signatureReturns1=Deferred
ittype1=method
s1=deferred.resolve
signatureCount=1

[jQuery.sub]
signatureVersion1=1.5
signatureDescr1=Creates a new copy of jQuery whose properties and methods can be modified without affecting the original jQuery object.
signatureReturns1=jQuery
ittype1=method
s1=jQuery.sub
signatureCount=1

[fadeToggle]
argument1_1=String,Number duration
signatureVersion1=1.4.4
signatureDescr1=Display or hide the matched elements by animating their opacity.
signatureReturns1=jQuery
ittype1=method
argument1_2=String easing
argument1_3=Function callback
s1=fadeToggle
signatureCount=1

[jQuery.type]
argument1_1=Object obj
signatureVersion1=1.4.3
signatureDescr1=Determine the internal JavaScript [[Class]] of an object.
signatureReturns1=String
ittype1=method
s1=jQuery.type
signatureCount=1

[jQuery.isWindow]
argument1_1=Object obj
signatureVersion1=1.4.3
signatureDescr1=Determine whether the argument is a window.
signatureReturns1=boolean
ittype1=method
s1=jQuery.isWindow
signatureCount=1

[toggle]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind two or more handlers to the matched elements, to be executed on alternate clicks.
signatureReturns1=jQuery
ittype1=method
argument1_2=Function handler(eventObject)
argument1_3=Function handler(eventObject)
s1=toggle
signatureCount=4
argument2_1=String,Number duration
signatureVersion2=1.0
signatureDescr2=Display or hide the matched elements.
signatureReturns2=jQuery
ittype2=method
argument2_2=Callback callback
argument3_1=String,Number duration
signatureVersion3=1.4.3
signatureDescr3=Display or hide the matched elements.
signatureReturns3=jQuery
ittype3=method
argument3_2=String easing
argument3_3=Callback callback
argument4_1=Boolean showOrHide
signatureVersion4=1.3
signatureDescr4=Display or hide the matched elements.
signatureReturns4=jQuery
ittype4=method

[jQuery.fx.interval]
signatureVersion1=1.4.3
signatureDescr1=The rate (in milliseconds) at which animations fire.
signatureReturns1=Number
ittype1=property
s1=jQuery.fx.interval
signatureCount=1

[event.namespace]
signatureVersion1=1.4.3
signatureDescr1=The namespace specified when the event was triggered.
signatureReturns1=String
ittype1=property
s1=event.namespace
signatureCount=1

[undelegate]
signatureVersion1=1.4.2
signatureDescr1=Remove a handler from the event for all elements which match the current selector, based upon a specific set of root elements.
signatureReturns1=jQuery
ittype1=method
argument2_1=String selector
signatureVersion2=1.4.2
signatureDescr2=Remove a handler from the event for all elements which match the current selector, based upon a specific set of root elements.
signatureReturns2=jQuery
ittype2=method
argument2_2=String eventType
argument3_1=String selector
signatureVersion3=1.4.2
signatureDescr3=Remove a handler from the event for all elements which match the current selector, based upon a specific set of root elements.
signatureReturns3=jQuery
ittype3=method
argument3_2=String eventType
argument3_3=Function handler
argument4_1=String selector
signatureVersion4=1.4.3
signatureDescr4=Remove a handler from the event for all elements which match the current selector, based upon a specific set of root elements.
signatureReturns4=jQuery
ittype4=method
argument4_2=Map events
argument5_1=String namespace
signatureVersion5=1.6
signatureDescr5=Remove a handler from the event for all elements which match the current selector, based upon a specific set of root elements.
signatureReturns5=jQuery
ittype5=method
s1=undelegate
signatureCount=5

[delegate]
argument1_1=String selector
signatureVersion1=1.4.2
signatureDescr1=Attach a handler to one or more events for all elements that match the selector, now or in the future, based on a specific set of root elements.
signatureReturns1=jQuery
ittype1=method
argument1_2=String eventType
argument1_3=Function handler
argument2_1=String selector
signatureVersion2=1.4.2
signatureDescr2=Attach a handler to one or more events for all elements that match the selector, now or in the future, based on a specific set of root elements.
signatureReturns2=jQuery
ittype2=method
argument2_2=String eventType
argument2_3=Object eventData
argument2_4=Function handler
argument3_1=String selector
signatureVersion3=1.4.3
signatureDescr3=Attach a handler to one or more events for all elements that match the selector, now or in the future, based on a specific set of root elements.
signatureReturns3=jQuery
ittype3=method
argument3_2=Map events
s1=delegate
signatureCount=3

[jQuery.error]
argument1_1=String message
signatureVersion1=1.4.1
signatureDescr1=Takes a string and throws an exception containing it.
signatureReturns1=
ittype1=method
s1=jQuery.error
signatureCount=1

[jQuery.parseJSON]
argument1_1=String json
signatureVersion1=1.4.1
signatureDescr1=Takes a well-formed JSON string and returns the resulting JavaScript object.
signatureReturns1=Object
ittype1=method
s1=jQuery.parseJSON
signatureCount=1

[jQuery.proxy]
argument1_1=Function function
signatureVersion1=1.4
signatureDescr1=Takes a function and returns a new one that will always have a particular context.
signatureReturns1=Function
ittype1=method
argument1_2=Object context
argument2_1=Object context
signatureVersion2=1.4
signatureDescr2=Takes a function and returns a new one that will always have a particular context.
signatureReturns2=Function
ittype2=method
argument2_2=String name
s1=jQuery.proxy
signatureCount=2

[focusout]
argument1_1=Function handler(eventObject)
signatureVersion1=1.4
signatureDescr1=Bind an event handler to the "focusout" JavaScript event.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "focusout" JavaScript event.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
s1=focusout
signatureCount=2

[focusin]
argument1_1=Function handler(eventObject)
signatureVersion1=1.4
signatureDescr1=Bind an event handler to the "focusin" event.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "focusin" event.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
s1=focusin
signatureCount=2

[has]
argument1_1=String selector
signatureVersion1=1.4
signatureDescr1=Reduce the set of matched elements to those that have a descendant that matches the selector or DOM element.
signatureReturns1=jQuery
ittype1=method
argument2_1=Element contained
signatureVersion2=1.4
signatureDescr2=Reduce the set of matched elements to those that have a descendant that matches the selector or DOM element.
signatureReturns2=jQuery
ittype2=method
s1=has
signatureCount=3
argument3_1=Selector selector
signatureVersion3=1.1.4
signatureDescr3=Selects elements which contain at least one element that matches the specified selector.
signatureReturns3=
ittype3=selector

[jQuery.contains]
argument1_1=Element container
signatureVersion1=1.4
signatureDescr1=Check to see if a DOM element is within another DOM element.
signatureReturns1=Boolean
ittype1=method
argument1_2=Element contained
s1=jQuery.contains
signatureCount=1

[jQuery.noop]
signatureVersion1=1.4
signatureDescr1=An empty function.
signatureReturns1=Function
ittype1=method
s1=jQuery.noop
signatureCount=1

[delay]
argument1_1=Integer duration
signatureVersion1=1.4
signatureDescr1=Set a timer to delay execution of subsequent items in the queue.
signatureReturns1=jQuery
ittype1=method
argument1_2=String queueName
s1=delay
signatureCount=1

[parentsUntil]
argument1_1=Selector selector
signatureVersion1=1.4
signatureDescr1=Get the ancestors of each element in the current set of matched elements, up to but not including the element matched by the selector, DOM node, or jQuery object.
signatureReturns1=jQuery
ittype1=method
argument1_2=Selector filter
argument2_1=Element element
signatureVersion2=1.6
signatureDescr2=Get the ancestors of each element in the current set of matched elements, up to but not including the element matched by the selector, DOM node, or jQuery object.
signatureReturns2=jQuery
ittype2=method
argument2_2=Selector filter
s1=parentsUntil
signatureCount=2

[prevUntil]
argument1_1=Selector selector
signatureVersion1=1.4
signatureDescr1=Get all preceding siblings of each element up to but not including the element matched by the selector, DOM node, or jQuery object.
signatureReturns1=jQuery
ittype1=method
argument1_2=Selector filter
argument2_1=Element element
signatureVersion2=1.6
signatureDescr2=Get all preceding siblings of each element up to but not including the element matched by the selector, DOM node, or jQuery object.
signatureReturns2=jQuery
ittype2=method
argument2_2=Selector filter
s1=prevUntil
signatureCount=2

[nextUntil]
argument1_1=Selector selector
signatureVersion1=1.4
signatureDescr1=Get all following siblings of each element up to but not including the element matched by the selector, DOM node, or jQuery object passed.
signatureReturns1=jQuery
ittype1=method
argument1_2=Selector filter
argument2_1=Element element
signatureVersion2=1.6
signatureDescr2=Get all following siblings of each element up to but not including the element matched by the selector, DOM node, or jQuery object passed.
signatureReturns2=jQuery
ittype2=method
argument2_2=Selector filter
s1=nextUntil
signatureCount=2

[event.isImmediatePropagationStopped]
signatureVersion1=1.3
signatureDescr1=Returns whether event.stopImmediatePropagation() was ever called on this event object.
signatureReturns1=Boolean
ittype1=method
s1=event.isImmediatePropagationStopped
signatureCount=1

[event.stopImmediatePropagation]
signatureVersion1=1.3
signatureDescr1=Keeps the rest of the handlers from being executed and prevents the event from bubbling up the DOM tree.
signatureReturns1=
ittype1=method
s1=event.stopImmediatePropagation
signatureCount=1

[event.isPropagationStopped]
signatureVersion1=1.3
signatureDescr1=Returns whether
signatureReturns1=Boolean
ittype1=method
s1=event.isPropagationStopped
signatureCount=1

[event.stopPropagation]
signatureVersion1=1.0
signatureDescr1=Prevents the event from bubbling up the DOM tree, preventing any parent handlers from being notified of the event.
signatureReturns1=
ittype1=method
s1=event.stopPropagation
signatureCount=1

[event.isDefaultPrevented]
signatureVersion1=1.3
signatureDescr1=Returns whether
signatureReturns1=Boolean
ittype1=method
s1=event.isDefaultPrevented
signatureCount=1

[event.preventDefault]
signatureVersion1=1.0
signatureDescr1=If this method is called, the default action of the event will not be triggered.
signatureReturns1=undefined
ittype1=method
s1=event.preventDefault
signatureCount=1

[event.timeStamp]
signatureVersion1=1.2.6
signatureDescr1=The difference in milliseconds between the time the browser created the event and January 1, 1970.
signatureReturns1=Number
ittype1=property
s1=event.timeStamp
signatureCount=1

[event.result]
signatureVersion1=1.3
signatureDescr1=The last value returned by an event handler that was triggered by this event, unless the value was
signatureReturns1=Object
ittype1=property
s1=event.result
signatureCount=1

[event.which]
signatureVersion1=1.1.3
signatureDescr1=For key or button events, this attribute indicates the specific button or key that was pressed.
signatureReturns1=Number
ittype1=property
s1=event.which
signatureCount=1

[event.pageY]
signatureVersion1=1.0.4
signatureDescr1=The mouse position relative to the top edge of the document.
signatureReturns1=Number
ittype1=property
s1=event.pageY
signatureCount=1

[event.pageX]
signatureVersion1=1.0.4
signatureDescr1=The mouse position relative to the left edge of the document.
signatureReturns1=Number
ittype1=property
s1=event.pageX
signatureCount=1

[event.currentTarget]
signatureVersion1=1.3
signatureDescr1=The current DOM element within the event bubbling phase.
signatureReturns1=Element
ittype1=property
s1=event.currentTarget
signatureCount=1

[event.relatedTarget]
signatureVersion1=1.1.4
signatureDescr1=The other DOM element involved in the event, if any.
signatureReturns1=Element
ittype1=property
s1=event.relatedTarget
signatureCount=1

[event.data]
signatureVersion1=1.1
signatureDescr1=The optional data passed to jQuery.fn.bind when the current executing handler was bound.
signatureReturns1=Anything
ittype1=property
s1=event.data
signatureCount=1

[event.target]
signatureVersion1=1.0
signatureDescr1=The DOM element that initiated the event.
signatureReturns1=Element
ittype1=property
s1=event.target
signatureCount=1

[event.type]
signatureVersion1=1.0
signatureDescr1=Describes the nature of the event.
signatureReturns1=String
ittype1=property
s1=event.type
signatureCount=1

[jQuery.fx.off]
signatureVersion1=1.3
signatureDescr1=Globally disable all animations.
signatureReturns1=Boolean
ittype1=property
s1=jQuery.fx.off
signatureCount=1

[each]
argument1_1=Function function(index, Element)
signatureVersion1=1.0
signatureDescr1=Iterate over a jQuery object, executing a function for each matched element.
signatureReturns1=jQuery
ittype1=method
s1=each
signatureCount=1

[pushStack]
argument1_1=Array elements
signatureVersion1=1.0
signatureDescr1=Add a collection of DOM elements onto the jQuery stack.
signatureReturns1=jQuery
ittype1=method
argument2_1=Array elements
signatureVersion2=1.3
signatureDescr2=Add a collection of DOM elements onto the jQuery stack.
signatureReturns2=jQuery
ittype2=method
argument2_2=String name
argument2_3=Array arguments
s1=pushStack
signatureCount=2

[jQuery.globalEval]
argument1_1=String code
signatureVersion1=1.0.4
signatureDescr1=Execute some JavaScript code globally.
signatureReturns1=
ittype1=method
s1=jQuery.globalEval
signatureCount=1

[jQuery.isXMLDoc]
argument1_1=Element node
signatureVersion1=1.1.4
signatureDescr1=Check to see if a DOM node is within an XML document (or is an XML document).
signatureReturns1=Boolean
ittype1=method
s1=jQuery.isXMLDoc
signatureCount=1

[jQuery.removeData]
argument1_1=Element element
signatureVersion1=1.2.3
signatureDescr1=Remove a previously-stored piece of data.
signatureReturns1=jQuery
ittype1=method
argument1_2=String name
s1=jQuery.removeData
signatureCount=1

[jQuery.data]
argument1_1=Element element
signatureVersion1=1.2.3
signatureDescr1=Store arbitrary data associated with the specified element. Returns the value that was set.
signatureReturns1=Object
ittype1=method
argument1_2=String key
argument1_3=Object value
s1=jQuery.data
signatureCount=3
argument2_1=Element element
signatureVersion2=1.2.3
signatureDescr2=Returns value at named data store for the element, as set by
signatureReturns2=Object
ittype2=method
argument2_2=String key
argument3_1=Element element
signatureVersion3=1.4
signatureDescr3=Returns value at named data store for the element, as set by
signatureReturns3=Object
ittype3=method

[jQuery.dequeue]
argument1_1=Element element
signatureVersion1=1.3
signatureDescr1=Execute the next function on the queue for the matched element.
signatureReturns1=jQuery
ittype1=method
argument1_2=String queueName
s1=jQuery.dequeue
signatureCount=1

[jQuery.queue]
argument1_1=Element element
signatureVersion1=1.3
signatureDescr1=Show the queue of functions to be executed on the matched element.
signatureReturns1=Array
ittype1=method
argument1_2=String queueName
s1=jQuery.queue
signatureCount=3
argument2_1=Element element
signatureVersion2=1.3
signatureDescr2=Manipulate the queue of functions to be executed on the matched element.
signatureReturns2=jQuery
ittype2=method
argument2_2=String queueName
argument2_3=Array newQueue
argument3_1=Element element
signatureVersion3=1.3
signatureDescr3=Manipulate the queue of functions to be executed on the matched element.
signatureReturns3=jQuery
ittype3=method
argument3_2=String queueName
argument3_3=Function callback()

[clearQueue]
argument1_1=String queueName
signatureVersion1=1.4
signatureDescr1=Remove from the queue all items that have not yet been run.
signatureReturns1=jQuery
ittype1=method
s1=clearQueue
signatureCount=1

[toArray]
signatureVersion1=1.4
signatureDescr1=Retrieve all the DOM elements contained in the jQuery set, as an array.
signatureReturns1=Array
ittype1=method
s1=toArray
signatureCount=1

[jQuery.isEmptyObject]
argument1_1=Object object
signatureVersion1=1.4
signatureDescr1=Check to see if an object is empty (contains no properties).
signatureReturns1=Boolean
ittype1=method
s1=jQuery.isEmptyObject
signatureCount=1

[jQuery.isPlainObject]
argument1_1=Object object
signatureVersion1=1.4
signatureDescr1=Check to see if an object is a plain object (created using "{}" or "new Object").
signatureReturns1=Boolean
ittype1=method
s1=jQuery.isPlainObject
signatureCount=1

[keydown]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to the "keydown" JavaScript event, or trigger that event on an element.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "keydown" JavaScript event, or trigger that event on an element.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
signatureVersion3=1.0
signatureDescr3=Bind an event handler to the "keydown" JavaScript event, or trigger that event on an element.
signatureReturns3=jQuery
ittype3=method
s1=keydown
signatureCount=3

[index]
signatureVersion1=1.4
signatureDescr1=Search for a given element from among the matched elements.
signatureReturns1=Number
ittype1=method
argument2_1=Selector selector
signatureVersion2=1.4
signatureDescr2=Search for a given element from among the matched elements.
signatureReturns2=Number
ittype2=method
argument3_1=Element, jQuery element
signatureVersion3=1.0
signatureDescr3=Search for a given element from among the matched elements.
signatureReturns3=Number
ittype3=method
s1=index
signatureCount=3

[removeData]
argument1_1=String name
signatureVersion1=1.2.3
signatureDescr1=Remove a previously-stored piece of data.
signatureReturns1=jQuery
ittype1=method
argument2_1=Array,String list
signatureVersion2=1.7
signatureDescr2=Remove a previously-stored piece of data.
signatureReturns2=jQuery
ittype2=method
s1=removeData
signatureCount=2

[data]
argument1_1=String key
signatureVersion1=1.2.3
signatureDescr1=Store arbitrary data associated with the matched elements.
signatureReturns1=jQuery
ittype1=method
argument1_2=Object value
argument2_1=Object obj
signatureVersion2=1.4.3
signatureDescr2=Store arbitrary data associated with the matched elements.
signatureReturns2=jQuery
ittype2=method
s1=data
signatureCount=4
argument3_1=String key
signatureVersion3=1.2.3
signatureDescr3=Returns value at named data store for the first element in the jQuery collection, as set by data(name, value).
signatureReturns3=Object
ittype3=method
signatureVersion4=1.4
signatureDescr4=Returns value at named data store for the first element in the jQuery collection, as set by data(name, value).
signatureReturns4=Object
ittype4=method

[get]
argument1_1=Number index
signatureVersion1=1.0
signatureDescr1=Retrieve the DOM elements matched by the jQuery object.
signatureReturns1=Element, Array
ittype1=method
s1=get
signatureCount=1

[size]
signatureVersion1=1.0
signatureDescr1=Return the number of elements in the jQuery object.
signatureReturns1=Number
ittype1=method
s1=size
signatureCount=1

[jQuery.noConflict]
argument1_1=Boolean removeAll
signatureVersion1=1.0
signatureDescr1=Relinquish jQuery's control of the
signatureReturns1=Object
ittype1=method
s1=jQuery.noConflict
signatureCount=1

[selected]
signatureVersion1=1.0
signatureDescr1=Selects all elements that are selected.
signatureReturns1=
ittype1=selector
s1=selected
signatureCount=1

[checked]
signatureVersion1=1.0
signatureDescr1=Matches all elements that are checked.
signatureReturns1=
ittype1=selector
s1=checked
signatureCount=1

[disabled]
signatureVersion1=1.0
signatureDescr1=Selects all elements that are disabled.
signatureReturns1=
ittype1=selector
s1=disabled
signatureCount=1

[enabled]
signatureVersion1=1.0
signatureDescr1=Selects all elements that are enabled.
signatureReturns1=
ittype1=selector
s1=enabled
signatureCount=1

[file]
signatureVersion1=1.0
signatureDescr1=Selects all elements of type file.
signatureReturns1=
ittype1=selector
s1=file
signatureCount=1

[button]
signatureVersion1=1.0
signatureDescr1=Selects all button elements and elements of type button.
signatureReturns1=
ittype1=selector
s1=button
signatureCount=1

[reset]
signatureVersion1=1.0
signatureDescr1=Selects all elements of type reset.
signatureReturns1=
ittype1=selector
s1=reset
signatureCount=1

[image]
signatureVersion1=1.0
signatureDescr1=Selects all elements of type image.
signatureReturns1=
ittype1=selector
s1=image
signatureCount=1

[submit]
signatureVersion1=1.0
signatureDescr1=Selects all elements of type submit.
signatureReturns1=
ittype1=selector
s1=submit
signatureCount=4
argument2_1=Function handler(eventObject)
signatureVersion2=1.0
signatureDescr2=Bind an event handler to the "submit" JavaScript event, or trigger that event on an element.
signatureReturns2=jQuery
ittype2=method
argument3_1=Object eventData
signatureVersion3=1.4.3
signatureDescr3=Bind an event handler to the "submit" JavaScript event, or trigger that event on an element.
signatureReturns3=jQuery
ittype3=method
argument3_2=Function handler(eventObject)
signatureVersion4=1.0
signatureDescr4=Bind an event handler to the "submit" JavaScript event, or trigger that event on an element.
signatureReturns4=jQuery
ittype4=method

[checkbox]
signatureVersion1=1.0
signatureDescr1=Selects all elements of type checkbox.
signatureReturns1=
ittype1=selector
s1=checkbox
signatureCount=1

[radio]
signatureVersion1=1.0
signatureDescr1=Selects all elements of type radio.
signatureReturns1=
ittype1=selector
s1=radio
signatureCount=1

[password]
signatureVersion1=1.0
signatureDescr1=Selects all elements of type password.
signatureReturns1=
ittype1=selector
s1=password
signatureCount=1

[text]
signatureVersion1=1.0
signatureDescr1=Selects all elements of type text.
signatureReturns1=
ittype1=selector
s1=text
signatureCount=4
signatureVersion2=1.0
signatureDescr2=Get the combined text contents of each element in the set of matched elements, including their descendants.
signatureReturns2=String
ittype2=method
argument3_1=String textString
signatureVersion3=1.0
signatureDescr3=Set the content of each element in the set of matched elements to the specified text.
signatureReturns3=jQuery
ittype3=method
argument4_1=Function function(index, text)
signatureVersion4=1.4
signatureDescr4=Set the content of each element in the set of matched elements to the specified text.
signatureReturns4=jQuery
ittype4=method

[input]
signatureVersion1=1.0
signatureDescr1=Selects all input, textarea, select and button elements.
signatureReturns1=
ittype1=selector
s1=input
signatureCount=1

[only-child]
signatureVersion1=1.1.4
signatureDescr1=Selects all elements that are the only child of their parent.
signatureReturns1=
ittype1=selector
s1=only-child
signatureCount=1

[last-child]
signatureVersion1=1.1.4
signatureDescr1=Selects all elements that are the last child of their parent.
signatureReturns1=
ittype1=selector
s1=last-child
signatureCount=1

[first-child]
signatureVersion1=1.1.4
signatureDescr1=Selects all elements that are the first child of their parent.
signatureReturns1=
ittype1=selector
s1=first-child
signatureCount=1

[nth-child]
argument1_1=Number/String index
signatureVersion1=1.1.4
signatureDescr1=Selects all elements that are the nth-child of their parent.
signatureReturns1=
ittype1=selector
s1=nth-child
signatureCount=1

[attributeContainsPrefix]
argument1_1=String attribute
signatureVersion1=1.0
signatureDescr1=Selects elements that have the specified attribute with a value either equal to a given string or starting with that string followed by a hyphen (-).
signatureReturns1=
ittype1=selector
argument1_2=String value
s1=attributeContainsPrefix
signatureCount=1

[attributeContainsWord]
argument1_1=String attribute
signatureVersion1=1.0
signatureDescr1=Selects elements that have the specified attribute with a value containing a given word, delimited by spaces.
signatureReturns1=
ittype1=selector
argument1_2=String value
s1=attributeContainsWord
signatureCount=1

[attributeMultiple]
argument1_1=Selector attributeFilter1
signatureVersion1=1.0
signatureDescr1=Matches elements that match all of the specified attribute filters.
signatureReturns1=
ittype1=selector
argument1_2=Selector attributeFilter2
argument1_3=Selector attributeFilterN
s1=attributeMultiple
signatureCount=1

[attributeContains]
argument1_1=String attribute
signatureVersion1=1.0
signatureDescr1=Selects elements that have the specified attribute with a value containing the a given substring.
signatureReturns1=
ittype1=selector
argument1_2=String value
s1=attributeContains
signatureCount=1

[attributeEndsWith]
argument1_1=String attribute
signatureVersion1=1.0
signatureDescr1=Selects elements that have the specified attribute with a value ending exactly with a given string. The comparison is case sensitive.
signatureReturns1=
ittype1=selector
argument1_2=String value
s1=attributeEndsWith
signatureCount=1

[attributeStartsWith]
argument1_1=String attribute
signatureVersion1=1.0
signatureDescr1=Selects elements that have the specified attribute with a value beginning exactly with a given string.
signatureReturns1=
ittype1=selector
argument1_2=String value
s1=attributeStartsWith
signatureCount=1

[attributeNotEqual]
argument1_1=String attribute
signatureVersion1=1.0
signatureDescr1=Select elements that either don't have the specified attribute, or do have the specified attribute but not with a certain value.
signatureReturns1=
ittype1=selector
argument1_2=String value
s1=attributeNotEqual
signatureCount=1

[attributeEquals]
argument1_1=String attribute
signatureVersion1=1.0
signatureDescr1=Selects elements that have the specified attribute with a value exactly equal to a certain value.
signatureReturns1=
ittype1=selector
argument1_2=String value
s1=attributeEquals
signatureCount=1

[attributeHas]
argument1_1=String attribute
signatureVersion1=1.0
signatureDescr1=Selects elements that have the specified attribute, with any value.
signatureReturns1=
ittype1=selector
s1=attributeHas
signatureCount=1

[visible]
signatureVersion1=1.0
signatureDescr1=Selects all elements that are visible.
signatureReturns1=
ittype1=selector
s1=visible
signatureCount=1

[hidden]
signatureVersion1=1.0
signatureDescr1=Selects all elements that are hidden.
signatureReturns1=
ittype1=selector
s1=hidden
signatureCount=1

[parent]
signatureVersion1=1.0
signatureDescr1=Select all elements that are the parent of another element, including text nodes.
signatureReturns1=
ittype1=selector
s1=parent
signatureCount=2
argument2_1=Selector selector
signatureVersion2=1.0
signatureDescr2=Get the parent of each element in the current set of matched elements, optionally filtered by a selector.
signatureReturns2=jQuery
ittype2=method

[empty]
signatureVersion1=1.0
signatureDescr1=Select all elements that have no children (including text nodes).
signatureReturns1=
ittype1=selector
s1=empty
signatureCount=2
signatureVersion2=1.0
signatureDescr2=Remove all child nodes of the set of matched elements from the DOM.
signatureReturns2=jQuery
ittype2=method

[contains]
argument1_1=String text
signatureVersion1=1.1.4
signatureDescr1=Select all elements that contain the specified text.
signatureReturns1=
ittype1=selector
s1=contains
signatureCount=1

[animated]
signatureVersion1=1.2
signatureDescr1=Select all elements that are in the progress of an animation at the time the selector is run.
signatureReturns1=
ittype1=selector
s1=animated
signatureCount=1

[header]
signatureVersion1=1.2
signatureDescr1=Selects all elements that are headers, like h1, h2, h3 and so on.
signatureReturns1=
ittype1=selector
s1=header
signatureCount=1

[lt]
argument1_1=Number index
signatureVersion1=1.0
signatureDescr1=Select all elements at an index less than
signatureReturns1=
ittype1=selector
s1=lt
signatureCount=1

[gt]
argument1_1=Number index
signatureVersion1=1.0
signatureDescr1=Select all elements at an index greater than
signatureReturns1=
ittype1=selector
s1=gt
signatureCount=1

[eq]
argument1_1=Number index
signatureVersion1=1.0
signatureDescr1=Select the element at index
signatureReturns1=
ittype1=selector
s1=eq
signatureCount=3
argument2_1=Integer index
signatureVersion2=1.1.2
signatureDescr2=Reduce the set of matched elements to the one at the specified index.
signatureReturns2=jQuery
ittype2=method
argument3_1=Integer -index
signatureVersion3=1.4
signatureDescr3=Reduce the set of matched elements to the one at the specified index.
signatureReturns3=jQuery
ittype3=method

[odd]
signatureVersion1=1.0
signatureDescr1=Selects odd elements, zero-indexed. See also
signatureReturns1=
ittype1=selector
s1=odd
signatureCount=1

[even]
signatureVersion1=1.0
signatureDescr1=Selects even elements, zero-indexed. See also
signatureReturns1=
ittype1=selector
s1=even
signatureCount=1

[not]
argument1_1=Selector selector
signatureVersion1=1.0
signatureDescr1=Selects all elements that do not match the given selector.
signatureReturns1=
ittype1=selector
s1=not
signatureCount=5
argument2_1=Selector selector
signatureVersion2=1.0
signatureDescr2=Remove elements from the set of matched elements.
signatureReturns2=jQuery
ittype2=method
argument3_1=Elements elements
signatureVersion3=1.0
signatureDescr3=Remove elements from the set of matched elements.
signatureReturns3=jQuery
ittype3=method
argument4_1=Function function(index)
signatureVersion4=1.4
signatureDescr4=Remove elements from the set of matched elements.
signatureReturns4=jQuery
ittype4=method
argument5_1=Object jQuery object
signatureVersion5=1.4
signatureDescr5=Remove elements from the set of matched elements.
signatureReturns5=jQuery
ittype5=method

[last]
signatureVersion1=1.0
signatureDescr1=Selects the last matched element.
signatureReturns1=
ittype1=selector
s1=last
signatureCount=2
signatureVersion2=1.4
signatureDescr2=Reduce the set of matched elements to the final one in the set.
signatureReturns2=jQuery
ittype2=method

[first]
signatureVersion1=1.0
signatureDescr1=Selects the first matched element.
signatureReturns1=
ittype1=selector
s1=first
signatureCount=2
signatureVersion2=1.4
signatureDescr2=Reduce the set of matched elements to the first in the set.
signatureReturns2=jQuery
ittype2=method

[next siblings]
argument1_1=Selector prev
signatureVersion1=1.0
signatureDescr1=Selects all sibling elements that follow after the "prev" element, have the same parent, and match the filtering "siblings" selector.
signatureReturns1=
ittype1=selector
argument1_2=Selector siblings
s1=next siblings
signatureCount=1

[next adjacent]
argument1_1=Selector prev
signatureVersion1=1.0
signatureDescr1=Selects all next elements matching "next" that are immediately preceded by a sibling "prev".
signatureReturns1=
ittype1=selector
argument1_2=Selector next
s1=next adjacent
signatureCount=1

[child]
argument1_1=Selector parent
signatureVersion1=1.0
signatureDescr1=Selects all direct child elements specified by "child" of elements specified by "parent".
signatureReturns1=
ittype1=selector
argument1_2=Selector child
s1=child
signatureCount=1

[descendant]
argument1_1=Selector ancestor
signatureVersion1=1.0
signatureDescr1=Selects all elements that are descendants of a given ancestor.
signatureReturns1=
ittype1=selector
argument1_2=Selector descendant
s1=descendant
signatureCount=1

[multiple]
argument1_1=Selector selector1
signatureVersion1=1.0
signatureDescr1=Selects the combined results of all the specified selectors.
signatureReturns1=
ittype1=selector
argument1_2=Selector selector2
argument1_3=Selector selectorN
s1=multiple
signatureCount=1

[all]
signatureVersion1=1.0
signatureDescr1=Selects all elements.
signatureReturns1=
ittype1=selector
s1=all
signatureCount=1

[class]
argument1_1=String class
signatureVersion1=1.0
signatureDescr1=Selects all elements with the given class.
signatureReturns1=
ittype1=selector
s1=class
signatureCount=1

[element]
argument1_1=String element
signatureVersion1=1.0
signatureDescr1=Selects all elements with the given tag name.
signatureReturns1=
ittype1=selector
s1=element
signatureCount=1

[id]
argument1_1=String id
signatureVersion1=1.0
signatureDescr1=Selects a single element with the given id attribute.
signatureReturns1=
ittype1=selector
s1=id
signatureCount=1

[scroll]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to the "scroll" JavaScript event, or trigger that event on an element.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "scroll" JavaScript event, or trigger that event on an element.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
signatureVersion3=1.0
signatureDescr3=Bind an event handler to the "scroll" JavaScript event, or trigger that event on an element.
signatureReturns3=jQuery
ittype3=method
s1=scroll
signatureCount=3

[resize]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to the "resize" JavaScript event, or trigger that event on an element.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "resize" JavaScript event, or trigger that event on an element.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
signatureVersion3=1.0
signatureDescr3=Bind an event handler to the "resize" JavaScript event, or trigger that event on an element.
signatureReturns3=jQuery
ittype3=method
s1=resize
signatureCount=3

[dequeue]
argument1_1=String queueName
signatureVersion1=1.2
signatureDescr1=Execute the next function on the queue for the matched elements.
signatureReturns1=jQuery
ittype1=method
s1=dequeue
signatureCount=1

[queue]
argument1_1=String queueName
signatureVersion1=1.2
signatureDescr1=Show the queue of functions to be executed on the matched elements.
signatureReturns1=Array
ittype1=method
s1=queue
signatureCount=3
argument2_1=String queueName
signatureVersion2=1.2
signatureDescr2=Manipulate the queue of functions to be executed on the matched elements.
signatureReturns2=jQuery
ittype2=method
argument2_2=Array newQueue
argument3_1=String queueName
signatureVersion3=1.2
signatureDescr3=Manipulate the queue of functions to be executed on the matched elements.
signatureReturns3=jQuery
ittype3=method
argument3_2=Function callback( next )

[keyup]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to the "keyup" JavaScript event, or trigger that event on an element.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "keyup" JavaScript event, or trigger that event on an element.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
signatureVersion3=1.0
signatureDescr3=Bind an event handler to the "keyup" JavaScript event, or trigger that event on an element.
signatureReturns3=jQuery
ittype3=method
s1=keyup
signatureCount=3

[keypress]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to the "keypress" JavaScript event, or trigger that event on an element.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "keypress" JavaScript event, or trigger that event on an element.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
signatureVersion3=1.0
signatureDescr3=Bind an event handler to the "keypress" JavaScript event, or trigger that event on an element.
signatureReturns3=jQuery
ittype3=method
s1=keypress
signatureCount=3

[select]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to the "select" JavaScript event, or trigger that event on an element.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "select" JavaScript event, or trigger that event on an element.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
signatureVersion3=1.0
signatureDescr3=Bind an event handler to the "select" JavaScript event, or trigger that event on an element.
signatureReturns3=jQuery
ittype3=method
s1=select
signatureCount=3

[change]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to the "change" JavaScript event, or trigger that event on an element.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "change" JavaScript event, or trigger that event on an element.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
signatureVersion3=1.0
signatureDescr3=Bind an event handler to the "change" JavaScript event, or trigger that event on an element.
signatureReturns3=jQuery
ittype3=method
s1=change
signatureCount=3

[blur]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to the "blur" JavaScript event, or trigger that event on an element.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "blur" JavaScript event, or trigger that event on an element.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
signatureVersion3=1.0
signatureDescr3=Bind an event handler to the "blur" JavaScript event, or trigger that event on an element.
signatureReturns3=jQuery
ittype3=method
s1=blur
signatureCount=3

[mousemove]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to the "mousemove" JavaScript event, or trigger that event on an element.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "mousemove" JavaScript event, or trigger that event on an element.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
signatureVersion3=1.0
signatureDescr3=Bind an event handler to the "mousemove" JavaScript event, or trigger that event on an element.
signatureReturns3=jQuery
ittype3=method
s1=mousemove
signatureCount=3

[hover]
argument1_1=Function handlerIn(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind two handlers to the matched elements, to be executed when the mouse pointer enters and leaves the elements.
signatureReturns1=jQuery
ittype1=method
argument1_2=Function handlerOut(eventObject)
s1=hover
signatureCount=2
argument2_1=Function handlerInOut(eventObject)
signatureVersion2=1.4
signatureDescr2=Bind a single handler to the matched elements, to be executed when the mouse pointer enters or leaves the elements.
signatureReturns2=jQuery
ittype2=method

[mouseleave]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to be fired when the mouse leaves an element, or trigger that handler on an element.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to be fired when the mouse leaves an element, or trigger that handler on an element.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
signatureVersion3=1.0
signatureDescr3=Bind an event handler to be fired when the mouse leaves an element, or trigger that handler on an element.
signatureReturns3=jQuery
ittype3=method
s1=mouseleave
signatureCount=3

[mouseenter]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to be fired when the mouse enters an element, or trigger that handler on an element.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to be fired when the mouse enters an element, or trigger that handler on an element.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
signatureVersion3=1.0
signatureDescr3=Bind an event handler to be fired when the mouse enters an element, or trigger that handler on an element.
signatureReturns3=jQuery
ittype3=method
s1=mouseenter
signatureCount=3

[mouseout]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to the "mouseout" JavaScript event, or trigger that event on an element.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "mouseout" JavaScript event, or trigger that event on an element.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
signatureVersion3=1.0
signatureDescr3=Bind an event handler to the "mouseout" JavaScript event, or trigger that event on an element.
signatureReturns3=jQuery
ittype3=method
s1=mouseout
signatureCount=3

[mouseover]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to the "mouseover" JavaScript event, or trigger that event on an element.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "mouseover" JavaScript event, or trigger that event on an element.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
signatureVersion3=1.0
signatureDescr3=Bind an event handler to the "mouseover" JavaScript event, or trigger that event on an element.
signatureReturns3=jQuery
ittype3=method
s1=mouseover
signatureCount=3

[dblclick]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to the "dblclick" JavaScript event, or trigger that event on an element.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "dblclick" JavaScript event, or trigger that event on an element.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
signatureVersion3=1.0
signatureDescr3=Bind an event handler to the "dblclick" JavaScript event, or trigger that event on an element.
signatureReturns3=jQuery
ittype3=method
s1=dblclick
signatureCount=3

[click]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to the "click" JavaScript event, or trigger that event on an element.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "click" JavaScript event, or trigger that event on an element.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
signatureVersion3=1.0
signatureDescr3=Bind an event handler to the "click" JavaScript event, or trigger that event on an element.
signatureReturns3=jQuery
ittype3=method
s1=click
signatureCount=3

[mouseup]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to the "mouseup" JavaScript event, or trigger that event on an element.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "mouseup" JavaScript event, or trigger that event on an element.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
signatureVersion3=1.0
signatureDescr3=Bind an event handler to the "mouseup" JavaScript event, or trigger that event on an element.
signatureReturns3=jQuery
ittype3=method
s1=mouseup
signatureCount=3

[mousedown]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to the "mousedown" JavaScript event, or trigger that event on an element.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "mousedown" JavaScript event, or trigger that event on an element.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
signatureVersion3=1.0
signatureDescr3=Bind an event handler to the "mousedown" JavaScript event, or trigger that event on an element.
signatureReturns3=jQuery
ittype3=method
s1=mousedown
signatureCount=3

[error]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to the "error" JavaScript event.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "error" JavaScript event.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
s1=error
signatureCount=2

[unload]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to the "unload" JavaScript event.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "unload" JavaScript event.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
s1=unload
signatureCount=2

[load]
argument1_1=Function handler(eventObject)
signatureVersion1=1.0
signatureDescr1=Bind an event handler to the "load" JavaScript event.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object eventData
signatureVersion2=1.4.3
signatureDescr2=Bind an event handler to the "load" JavaScript event.
signatureReturns2=jQuery
ittype2=method
argument2_2=Function handler(eventObject)
s1=load
signatureCount=3
argument3_1=String url
signatureVersion3=1.0
signatureDescr3=Load data from the server and place the returned HTML into the matched element.
signatureReturns3=jQuery
ittype3=method
argument3_2=Map, String data
argument3_3=Function complete(responseText, textStatus, XMLHttpRequest)

[ready]
argument1_1=Function handler
signatureVersion1=1.0
signatureDescr1=Specify a function to execute when the DOM is fully loaded.
signatureReturns1=jQuery
ittype1=method
s1=ready
signatureCount=1

[die]
signatureVersion1=1.4.1
signatureDescr1=Remove all event handlers previously attached using
signatureReturns1=jQuery
ittype1=method
s1=die
signatureCount=3
argument2_1=String eventType
signatureVersion2=1.3
signatureDescr2=Remove an event handler previously attached using
signatureReturns2=jQuery
ittype2=method
argument2_2=String handler
argument3_1=Map eventTypes
signatureVersion3=1.4.3
signatureDescr3=Remove an event handler previously attached using
signatureReturns3=jQuery
ittype3=method

[jQuery.browser]
signatureVersion1=1.0
signatureDescr1=Contains flags for the useragent, read from navigator.userAgent.
signatureReturns1=Map
ittype1=property
s1=jQuery.browser
signatureCount=1

[jQuery.browser.version]
signatureVersion1=1.1.3
signatureDescr1=The version number of the rendering engine for the user's browser.
signatureReturns1=String
ittype1=property
s1=jQuery.browser.version
signatureCount=1

[live]
argument1_1=String events
signatureVersion1=1.3
signatureDescr1=Attach an event handler for all elements which match the current selector, now and in the future.
signatureReturns1=jQuery
ittype1=method
argument1_2=Function handler
argument2_1=String events
signatureVersion2=1.4
signatureDescr2=Attach an event handler for all elements which match the current selector, now and in the future.
signatureReturns2=jQuery
ittype2=method
argument2_2=Object data
argument2_3=Function handler
argument3_1=Object events-map
signatureVersion3=1.4.3
signatureDescr3=Attach an event handler for all elements which match the current selector, now and in the future.
signatureReturns3=jQuery
ittype3=method
s1=live
signatureCount=3

[triggerHandler]
argument1_1=String eventType
signatureVersion1=1.2
signatureDescr1=Execute all handlers attached to an element for an event.
signatureReturns1=Object
ittype1=method
argument1_2=Array extraParameters
s1=triggerHandler
signatureCount=1

[trigger]
argument1_1=String eventType
signatureVersion1=1.0
signatureDescr1=Execute all handlers and behaviors attached to the matched elements for the given event type.
signatureReturns1=jQuery
ittype1=method
argument1_2=Object extraParameters
argument2_1=Event event
signatureVersion2=1.3
signatureDescr2=Execute all handlers and behaviors attached to the matched elements for the given event type.
signatureReturns2=jQuery
ittype2=method
s1=trigger
signatureCount=2

[ajaxComplete]
argument1_1=Function handler(event, XMLHttpRequest, ajaxOptions)
signatureVersion1=1.0
signatureDescr1=Register a handler to be called when Ajax requests complete. This is an
signatureReturns1=jQuery
ittype1=method
s1=ajaxComplete
signatureCount=1

[one]
argument1_1=String events
signatureVersion1=1.1
signatureDescr1=Attach a handler to an event for the elements. The handler is executed at most once per element.
signatureReturns1=jQuery
ittype1=method
argument1_2=Object data
argument1_3=Function handler
argument2_1=String events
signatureVersion2=1.7
signatureDescr2=Attach a handler to an event for the elements. The handler is executed at most once per element.
signatureReturns2=jQuery
ittype2=method
argument2_2=String selector
argument2_3=Anything data
argument2_4=Function handler
argument3_1=Map events-map
signatureVersion3=1.7
signatureDescr3=Attach a handler to an event for the elements. The handler is executed at most once per element.
signatureReturns3=jQuery
ittype3=method
argument3_2=String selector
argument3_3=Anything data
s1=one
signatureCount=3

[serializeArray]
signatureVersion1=1.2
signatureDescr1=Encode a set of form elements as an array of names and values.
signatureReturns1=Array
ittype1=method
s1=serializeArray
signatureCount=1

[serialize]
signatureVersion1=1.0
signatureDescr1=Encode a set of form elements as a string for submission.
signatureReturns1=String
ittype1=method
s1=serialize
signatureCount=1

[jQuery.ajaxSetup]
argument1_1=Options options
signatureVersion1=1.1
signatureDescr1=Set default values for future Ajax requests.
signatureReturns1=
ittype1=method
s1=jQuery.ajaxSetup
signatureCount=1

[ajaxSuccess]
argument1_1=Function handler(event, XMLHttpRequest, ajaxOptions)
signatureVersion1=1.0
signatureDescr1=Attach a function to be executed whenever an Ajax request completes successfully. This is an
signatureReturns1=jQuery
ittype1=method
s1=ajaxSuccess
signatureCount=1

[ajaxStop]
argument1_1=Function handler()
signatureVersion1=1.0
signatureDescr1=Register a handler to be called when all Ajax requests have completed. This is an
signatureReturns1=jQuery
ittype1=method
s1=ajaxStop
signatureCount=1

[ajaxStart]
argument1_1=Function handler()
signatureVersion1=1.0
signatureDescr1=Register a handler to be called when the first Ajax request begins. This is an
signatureReturns1=jQuery
ittype1=method
s1=ajaxStart
signatureCount=1

[ajaxSend]
argument1_1=Function handler(event, jqXHR, ajaxOptions)
signatureVersion1=1.0
signatureDescr1=Attach a function to be executed before an Ajax request is sent. This is an
signatureReturns1=jQuery
ittype1=method
s1=ajaxSend
signatureCount=1

[ajaxError]
argument1_1=Function handler(event, jqXHR, ajaxSettings, thrownError)
signatureVersion1=1.0
signatureDescr1=Register a handler to be called when Ajax requests complete with an error. This is an
signatureReturns1=jQuery
ittype1=method
s1=ajaxError
signatureCount=1

[unbind]
argument1_1=String eventType
signatureVersion1=1.0
signatureDescr1=Remove a previously-attached event handler from the elements.
signatureReturns1=jQuery
ittype1=method
argument1_2=Function handler(eventObject)
argument2_1=String eventType
signatureVersion2=1.4.3
signatureDescr2=Remove a previously-attached event handler from the elements.
signatureReturns2=jQuery
ittype2=method
argument2_2=Boolean false
argument3_1=Object event
signatureVersion3=1.0
signatureDescr3=Remove a previously-attached event handler from the elements.
signatureReturns3=jQuery
ittype3=method
s1=unbind
signatureCount=3

[bind]
argument1_1=String eventType
signatureVersion1=1.0
signatureDescr1=Attach a handler to an event for the elements.
signatureReturns1=jQuery
ittype1=method
argument1_2=Object eventData
argument1_3=Function handler(eventObject)
argument2_1=String eventType
signatureVersion2=1.4.3
signatureDescr2=Attach a handler to an event for the elements.
signatureReturns2=jQuery
ittype2=method
argument2_2=Object eventData
argument2_3=Boolean preventBubble
argument3_1=Object events
signatureVersion3=1.4
signatureDescr3=Attach a handler to an event for the elements.
signatureReturns3=jQuery
ittype3=method
s1=bind
signatureCount=3

[slice]
argument1_1=Integer start
signatureVersion1=1.1.4
signatureDescr1=Reduce the set of matched elements to a subset specified by a range of indices.
signatureReturns1=jQuery
ittype1=method
argument1_2=Integer end
s1=slice
signatureCount=1

[stop]
argument1_1=Boolean clearQueue
signatureVersion1=1.2
signatureDescr1=Stop the currently-running animation on the matched elements.
signatureReturns1=jQuery
ittype1=method
argument1_2=Boolean jumpToEnd
argument2_1=String queue
signatureVersion2=1.7
signatureDescr2=Stop the currently-running animation on the matched elements.
signatureReturns2=jQuery
ittype2=method
argument2_2=Boolean clearQueue
argument2_3=Boolean jumpToEnd
s1=stop
signatureCount=2

[end]
signatureVersion1=1.0
signatureDescr1=End the most recent filtering operation in the current chain and return the set of matched elements to its previous state.
signatureReturns1=jQuery
ittype1=method
s1=end
signatureCount=1

[andSelf]
signatureVersion1=1.2
signatureDescr1=Add the previous set of elements on the stack to the current set.
signatureReturns1=jQuery
ittype1=method
s1=andSelf
signatureCount=1

[siblings]
argument1_1=Selector selector
signatureVersion1=1.0
signatureDescr1=Get the siblings of each element in the set of matched elements, optionally filtered by a selector.
signatureReturns1=jQuery
ittype1=method
s1=siblings
signatureCount=1

[animate]
argument1_1=Map properties
signatureVersion1=1.0
signatureDescr1=Perform a custom animation of a set of CSS properties.
signatureReturns1=jQuery
ittype1=method
argument1_2=String,Number duration
argument1_3=String easing
argument1_4=Function complete
argument2_1=Map properties
signatureVersion2=1.0
signatureDescr2=Perform a custom animation of a set of CSS properties.
signatureReturns2=jQuery
ittype2=method
argument2_2=Map options
s1=animate
signatureCount=2

[prevAll]
argument1_1=Selector selector
signatureVersion1=1.2
signatureDescr1=Get all preceding siblings of each element in the set of matched elements, optionally filtered by a selector.
signatureReturns1=jQuery
ittype1=method
s1=prevAll
signatureCount=1

[prev]
argument1_1=Selector selector
signatureVersion1=1.0
signatureDescr1=Get the immediately preceding sibling of each element in the set of matched elements, optionally filtered by a selector.
signatureReturns1=jQuery
ittype1=method
s1=prev
signatureCount=1

[fadeTo]
argument1_1=String,Number duration
signatureVersion1=1.0
signatureDescr1=Adjust the opacity of the matched elements.
signatureReturns1=jQuery
ittype1=method
argument1_2=Number opacity
argument1_3=Callback callback
argument2_1=String,Number duration
signatureVersion2=1.4.3
signatureDescr2=Adjust the opacity of the matched elements.
signatureReturns2=jQuery
ittype2=method
argument2_2=Number opacity
argument2_3=String easing
argument2_4=Callback callback
s1=fadeTo
signatureCount=2

[fadeOut]
argument1_1=String,Number duration
signatureVersion1=1.0
signatureDescr1=Hide the matched elements by fading them to transparent.
signatureReturns1=jQuery
ittype1=method
argument1_2=Callback callback
argument2_1=String,Number duration
signatureVersion2=1.4.3
signatureDescr2=Hide the matched elements by fading them to transparent.
signatureReturns2=jQuery
ittype2=method
argument2_2=String easing
argument2_3=Callback callback
s1=fadeOut
signatureCount=2

[parents]
argument1_1=Selector selector
signatureVersion1=1.0
signatureDescr1=Get the ancestors of each element in the current set of matched elements, optionally filtered by a selector.
signatureReturns1=jQuery
ittype1=method
s1=parents
signatureCount=1

[fadeIn]
argument1_1=String,Number duration
signatureVersion1=1.0
signatureDescr1=Display the matched elements by fading them to opaque.
signatureReturns1=jQuery
ittype1=method
argument1_2=Callback callback
argument2_1=String,Number duration
signatureVersion2=1.4.3
signatureDescr2=Display the matched elements by fading them to opaque.
signatureReturns2=jQuery
ittype2=method
argument2_2=String easing
argument2_3=Callback callback
s1=fadeIn
signatureCount=2

[offsetParent]
signatureVersion1=1.2.6
signatureDescr1=Get the closest ancestor element that is positioned.
signatureReturns1=jQuery
ittype1=method
s1=offsetParent
signatureCount=1

[slideToggle]
argument1_1=String,Number duration
signatureVersion1=1.0
signatureDescr1=Display or hide the matched elements with a sliding motion.
signatureReturns1=jQuery
ittype1=method
argument1_2=Callback callback
argument2_1=String,Number duration
signatureVersion2=1.4.3
signatureDescr2=Display or hide the matched elements with a sliding motion.
signatureReturns2=jQuery
ittype2=method
argument2_2=String easing
argument2_3=Callback callback
s1=slideToggle
signatureCount=2

[jQuery.post]
argument1_1=String url
signatureVersion1=1.0
signatureDescr1=Load data from the server using a HTTP POST request.
signatureReturns1=jqXHR
ittype1=method
argument1_2=Map, String data
argument1_3=Function success(data, textStatus, jqXHR)
argument1_4=String dataType
s1=jQuery.post
signatureCount=1

[slideUp]
argument1_1=String,Number duration
signatureVersion1=1.0
signatureDescr1=Hide the matched elements with a sliding motion.
signatureReturns1=jQuery
ittype1=method
argument1_2=Callback callback
argument2_1=String,Number duration
signatureVersion2=1.4.3
signatureDescr2=Hide the matched elements with a sliding motion.
signatureReturns2=jQuery
ittype2=method
argument2_2=String easing
argument2_3=Callback callback
s1=slideUp
signatureCount=2

[nextAll]
argument1_1=String selector
signatureVersion1=1.2
signatureDescr1=Get all following siblings of each element in the set of matched elements, optionally filtered by a selector.
signatureReturns1=jQuery
ittype1=method
s1=nextAll
signatureCount=1

[next]
argument1_1=Selector selector
signatureVersion1=1.0
signatureDescr1=Get the immediately following sibling of each element in the set of matched elements. If a selector is provided, it retrieves the next sibling only if it matches that selector.
signatureReturns1=jQuery
ittype1=method
s1=next
signatureCount=1

[slideDown]
argument1_1=String,Number duration
signatureVersion1=1.0
signatureDescr1=Display the matched elements with a sliding motion.
signatureReturns1=jQuery
ittype1=method
argument1_2=Callback callback
argument2_1=String,Number duration
signatureVersion2=1.4.3
signatureDescr2=Display the matched elements with a sliding motion.
signatureReturns2=jQuery
ittype2=method
argument2_2=String easing
argument2_3=Callback callback
s1=slideDown
signatureCount=2

[find]
argument1_1=Selector selector
signatureVersion1=1.0
signatureDescr1=Get the descendants of each element in the current set of matched elements, filtered by a selector, jQuery object, or element.
signatureReturns1=jQuery
ittype1=method
argument2_1=Object jQuery object
signatureVersion2=1.6
signatureDescr2=Get the descendants of each element in the current set of matched elements, filtered by a selector, jQuery object, or element.
signatureReturns2=jQuery
ittype2=method
argument3_1=Element element
signatureVersion3=1.6
signatureDescr3=Get the descendants of each element in the current set of matched elements, filtered by a selector, jQuery object, or element.
signatureReturns3=jQuery
ittype3=method
s1=find
signatureCount=3

[jQuery.getScript]
argument1_1=String url
signatureVersion1=1.0
signatureDescr1=Load a JavaScript file from the server using a GET HTTP request, then execute it.
signatureReturns1=jqXHR
ittype1=method
argument1_2=Function success(data, textStatus)
s1=jQuery.getScript
signatureCount=1

[contents]
signatureVersion1=1.2
signatureDescr1=Get the children of each element in the set of matched elements, including text and comment nodes.
signatureReturns1=jQuery
ittype1=method
s1=contents
signatureCount=1

[closest]
argument1_1=Selector selector
signatureVersion1=1.3
signatureDescr1=Get the first element that matches the selector, beginning at the current element and progressing up through the DOM tree.
signatureReturns1=jQuery
ittype1=method
argument2_1=Selector selector
signatureVersion2=1.4
signatureDescr2=Get the first element that matches the selector, beginning at the current element and progressing up through the DOM tree.
signatureReturns2=jQuery
ittype2=method
argument2_2=Element context
argument3_1=jQuery jQuery object
signatureVersion3=1.6
signatureDescr3=Get the first element that matches the selector, beginning at the current element and progressing up through the DOM tree.
signatureReturns3=jQuery
ittype3=method
argument4_1=Element element
signatureVersion4=1.6
signatureDescr4=Get the first element that matches the selector, beginning at the current element and progressing up through the DOM tree.
signatureReturns4=jQuery
ittype4=method
s1=closest
signatureCount=5
argument5_1=Array selectors
signatureVersion5=1.4
signatureDescr5=Gets an array of all the elements and selectors matched against the current element up through the DOM tree.
signatureReturns5=Array
ittype5=method
argument5_2=Element context

[jQuery.getJSON]
argument1_1=String url
signatureVersion1=1.0
signatureDescr1=Load JSON-encoded data from the server using a GET HTTP request.
signatureReturns1=jqXHR
ittype1=method
argument1_2=Map data
argument1_3=Function success(data, textStatus, jqXHR)
s1=jQuery.getJSON
signatureCount=1

[jQuery.get]
argument1_1=String url
signatureVersion1=1.0
signatureDescr1=Load data from the server using a HTTP GET request.
signatureReturns1=jqXHR
ittype1=method
argument1_2=Map, String data
argument1_3=Function success(data, textStatus, jqXHR)
argument1_4=String dataType
s1=jQuery.get
signatureCount=1

[jQuery.ajax]
argument1_1=String url
signatureVersion1=1.5
signatureDescr1=Perform an asynchronous HTTP (Ajax) request.
signatureReturns1=jqXHR
ittype1=method
argument1_2=Map settings
argument2_1=Map settings
signatureVersion2=1.0
signatureDescr2=Perform an asynchronous HTTP (Ajax) request.
signatureReturns2=jqXHR
ittype2=method
s1=jQuery.ajax
signatureCount=2

[length]
signatureVersion1=1.0
signatureDescr1=The number of elements in the jQuery object.
signatureReturns1=Number
ittype1=property
s1=length
signatureCount=1

[children]
argument1_1=Selector selector
signatureVersion1=1.0
signatureDescr1=Get the children of each element in the set of matched elements, optionally filtered by a selector.
signatureReturns1=jQuery
ittype1=method
s1=children
signatureCount=1

[add]
argument1_1=Selector selector
signatureVersion1=1.0
signatureDescr1=Add elements to the set of matched elements.
signatureReturns1=jQuery
ittype1=method
argument2_1=Elements elements
signatureVersion2=1.0
signatureDescr2=Add elements to the set of matched elements.
signatureReturns2=jQuery
ittype2=method
argument3_1=HTML html
signatureVersion3=1.0
signatureDescr3=Add elements to the set of matched elements.
signatureReturns3=jQuery
ittype3=method
argument4_1=jQuery object  jQuery object
signatureVersion4=1.3.2
signatureDescr4=Add elements to the set of matched elements.
signatureReturns4=jQuery
ittype4=method
argument5_1=Selector selector
signatureVersion5=1.4
signatureDescr5=Add elements to the set of matched elements.
signatureReturns5=jQuery
ittype5=method
argument5_2=Element context
s1=add
signatureCount=5

[context]
signatureVersion1=1.3
signatureDescr1=The DOM node context originally passed to
signatureReturns1=Element
ittype1=property
s1=context
signatureCount=1

[outerWidth]
argument1_1=Boolean includeMargin
signatureVersion1=1.2.6
signatureDescr1=Get the current computed width for the first element in the set of matched elements, including padding and border.
signatureReturns1=Integer
ittype1=method
s1=outerWidth
signatureCount=1

[outerHeight]
argument1_1=Boolean includeMargin
signatureVersion1=1.2.6
signatureDescr1=Get the current computed height for the first element in the set of matched elements, including padding, border, and optionally margin. Returns an integer (without "px") representation of the value or null if called on an empty set of elements.
signatureReturns1=Integer
ittype1=method
s1=outerHeight
signatureCount=1

[innerWidth]
signatureVersion1=1.2.6
signatureDescr1=Get the current computed width for the first element in the set of matched elements, including padding but not border.
signatureReturns1=Integer
ittype1=method
s1=innerWidth
signatureCount=1

[innerHeight]
signatureVersion1=1.2.6
signatureDescr1=Get the current computed height for the first element in the set of matched elements, including padding but not border.
signatureReturns1=Integer
ittype1=method
s1=innerHeight
signatureCount=1

[jQuery.param]
argument1_1=Array, Object obj
signatureVersion1=1.2
signatureDescr1=Create a serialized representation of an array or object, suitable for use in a URL query string or Ajax request.
signatureReturns1=String
ittype1=method
argument2_1=Array, Object obj
signatureVersion2=1.4
signatureDescr2=Create a serialized representation of an array or object, suitable for use in a URL query string or Ajax request.
signatureReturns2=String
ittype2=method
argument2_2=Boolean traditional
s1=jQuery.param
signatureCount=2

[hide]
signatureVersion1=1.0
signatureDescr1=Hide the matched elements.
signatureReturns1=jQuery
ittype1=method
argument2_1=String,Number duration
signatureVersion2=1.0
signatureDescr2=Hide the matched elements.
signatureReturns2=jQuery
ittype2=method
argument2_2=Callback callback
argument3_1=String,Number duration
signatureVersion3=1.4.3
signatureDescr3=Hide the matched elements.
signatureReturns3=jQuery
ittype3=method
argument3_2=String easing
argument3_3=Callback callback
s1=hide
signatureCount=3

[width]
signatureVersion1=1.0
signatureDescr1=Get the current computed width for the first element in the set of matched elements.
signatureReturns1=Integer
ittype1=method
s1=width
signatureCount=3
argument2_1=String, Number value
signatureVersion2=1.0
signatureDescr2=Set the CSS width of each element in the set of matched elements.
signatureReturns2=jQuery
ittype2=method
argument3_1=Function function(index, width)
signatureVersion3=1.4.1
signatureDescr3=Set the CSS width of each element in the set of matched elements.
signatureReturns3=jQuery
ittype3=method

[height]
signatureVersion1=1.0
signatureDescr1=Get the current computed height for the first element in the set of matched elements.
signatureReturns1=Integer
ittype1=method
s1=height
signatureCount=3
argument2_1=String, Number value
signatureVersion2=1.0
signatureDescr2=Set the CSS height of every matched element.
signatureReturns2=jQuery
ittype2=method
argument3_1=Function function(index, height)
signatureVersion3=1.4.1
signatureDescr3=Set the CSS height of every matched element.
signatureReturns3=jQuery
ittype3=method

[show]
signatureVersion1=1.0
signatureDescr1=Display the matched elements.
signatureReturns1=jQuery
ittype1=method
argument2_1=String,Number duration
signatureVersion2=1.0
signatureDescr2=Display the matched elements.
signatureReturns2=jQuery
ittype2=method
argument2_2=Callback callback
argument3_1=String,Number duration
signatureVersion3=1.4.3
signatureDescr3=Display the matched elements.
signatureReturns3=jQuery
ittype3=method
argument3_2=String easing
argument3_3=Callback callback
s1=show
signatureCount=3

[scrollLeft]
signatureVersion1=1.2.6
signatureDescr1=Get the current horizontal position of the scroll bar for the first element in the set of matched elements.
signatureReturns1=Integer
ittype1=method
s1=scrollLeft
signatureCount=2
argument2_1=Number value
signatureVersion2=1.2.6
signatureDescr2=Set the current horizontal position of the scroll bar for each of the set of matched elements.
signatureReturns2=jQuery
ittype2=method

[jQuery.trim]
argument1_1=String str
signatureVersion1=1.0
signatureDescr1=Remove the whitespace from the beginning and end of a string.
signatureReturns1=String
ittype1=method
s1=jQuery.trim
signatureCount=1

[jQuery.isFunction]
argument1_1=Object obj
signatureVersion1=1.2
signatureDescr1=Determine if the argument passed is a Javascript function object.
signatureReturns1=boolean
ittype1=method
s1=jQuery.isFunction
signatureCount=1

[jQuery.isArray]
argument1_1=Object obj
signatureVersion1=1.3
signatureDescr1=Determine whether the argument is an array.
signatureReturns1=boolean
ittype1=method
s1=jQuery.isArray
signatureCount=1

[jQuery.unique]
argument1_1=Array array
signatureVersion1=1.1.3
signatureDescr1=Sorts an array of DOM elements, in place, with the duplicates removed. Note that this only works on arrays of DOM elements, not strings or numbers.
signatureReturns1=Array
ittype1=method
s1=jQuery.unique
signatureCount=1

[jQuery.merge]
argument1_1=Array first
signatureVersion1=1.0
signatureDescr1=Merge the contents of two arrays together into the first array.
signatureReturns1=Array
ittype1=method
argument1_2=Array second
s1=jQuery.merge
signatureCount=1

[jQuery.inArray]
argument1_1=Any value
signatureVersion1=1.2
signatureDescr1=Search for a specified value within an array and return its index (or -1 if not found).
signatureReturns1=Number
ittype1=method
argument1_2=Array array
argument1_3=Number fromIndex
s1=jQuery.inArray
signatureCount=1

[jQuery.map]
argument1_1=Array array
signatureVersion1=1.0
signatureDescr1=Translate all items in an array or object to new array of items.
signatureReturns1=Array
ittype1=method
argument1_2=Function callback(elementOfArray, indexInArray)
argument2_1=Array,Object arrayOrObject
signatureVersion2=1.6
signatureDescr2=Translate all items in an array or object to new array of items.
signatureReturns2=Array
ittype2=method
argument2_2=Function callback( value, indexOrKey )
s1=jQuery.map
signatureCount=2

[jQuery.makeArray]
argument1_1=Object obj
signatureVersion1=1.2
signatureDescr1=Convert an array-like object into a true JavaScript array.
signatureReturns1=Array
ittype1=method
s1=jQuery.makeArray
signatureCount=1

[jQuery.grep]
argument1_1=Array array
signatureVersion1=1.0
signatureDescr1=Finds the elements of an array which satisfy a filter function. The original array is not affected.
signatureReturns1=Array
ittype1=method
argument1_2=Function function(elementOfArray, indexInArray)
argument1_3=Boolean invert
s1=jQuery.grep
signatureCount=1

[jQuery.extend]
argument1_1=Object target
signatureVersion1=1.0
signatureDescr1=Merge the contents of two or more objects together into the first object.
signatureReturns1=Object
ittype1=method
argument1_2=Object object1
argument1_3=Object objectN
argument2_1=Boolean deep
signatureVersion2=1.1.4
signatureDescr2=Merge the contents of two or more objects together into the first object.
signatureReturns2=Object
ittype2=method
argument2_2=Object target
argument2_3=Object object1
argument2_4=Object objectN
s1=jQuery.extend
signatureCount=2

[jQuery.each]
argument1_1=Object collection
signatureVersion1=1.0
signatureDescr1=A generic iterator function, which can be used to seamlessly iterate over both objects and arrays. Arrays and array-like objects with a length property (such as a function's arguments object) are iterated by numeric index, from 0 to length-1. Other objects are iterated via their named properties.
signatureReturns1=Object
ittype1=method
argument1_2=Function callback(indexInArray, valueOfElement)
s1=jQuery.each
signatureCount=1

[jQuery.boxModel]
signatureVersion1=1.0
signatureDescr1=
signatureReturns1=Boolean
ittype1=property
s1=jQuery.boxModel
signatureCount=1

[scrollTop]
signatureVersion1=1.2.6
signatureDescr1=Get the current vertical position of the scroll bar for the first element in the set of matched elements.
signatureReturns1=Integer
ittype1=method
s1=scrollTop
signatureCount=2
argument2_1=Number value
signatureVersion2=1.2.6
signatureDescr2=Set the current vertical position of the scroll bar for each of the set of matched elements.
signatureReturns2=jQuery
ittype2=method

[jQuery.support]
signatureVersion1=1.3
signatureDescr1=A collection of properties that represent the presence of different browser features or bugs.
signatureReturns1=Object
ittype1=property
s1=jQuery.support
signatureCount=1

[position]
signatureVersion1=1.2
signatureDescr1=Get the current coordinates of the first element in the set of matched elements, relative to the offset parent.
signatureReturns1=Object
ittype1=method
s1=position
signatureCount=1

[offset]
signatureVersion1=1.2
signatureDescr1=Get the current coordinates of the first element in the set of matched elements, relative to the document.
signatureReturns1=Object
ittype1=method
s1=offset
signatureCount=3
argument2_1=Object coordinates
signatureVersion2=1.4
signatureDescr2=Set the current coordinates of every element in the set of matched elements, relative to the document.
signatureReturns2=jQuery
ittype2=method
argument3_1=Function function(index, coords)
signatureVersion3=1.4
signatureDescr3=Set the current coordinates of every element in the set of matched elements, relative to the document.
signatureReturns3=jQuery
ittype3=method

[css]
argument1_1=String propertyName
signatureVersion1=1.0
signatureDescr1=Get the value of a style property for the first element in the set of matched elements.
signatureReturns1=String
ittype1=method
s1=css
signatureCount=4
argument2_1=String propertyName
signatureVersion2=1.0
signatureDescr2=Set one or more CSS properties for the set of matched elements.
signatureReturns2=jQuery
ittype2=method
argument2_2=String, Number value
argument3_1=String propertyName
signatureVersion3=1.4
signatureDescr3=Set one or more CSS properties for the set of matched elements.
signatureReturns3=jQuery
ittype3=method
argument3_2=Function function(index, value)
argument4_1=Map map
signatureVersion4=1.0
signatureDescr4=Set one or more CSS properties for the set of matched elements.
signatureReturns4=jQuery
ittype4=method

[unwrap]
signatureVersion1=1.4
signatureDescr1=Remove the parents of the set of matched elements from the DOM, leaving the matched elements in their place.
signatureReturns1=jQuery
ittype1=method
s1=unwrap
signatureCount=1

[detach]
argument1_1=Selector selector
signatureVersion1=1.4
signatureDescr1=Remove the set of matched elements from the DOM.
signatureReturns1=jQuery
ittype1=method
s1=detach
signatureCount=1

[clone]
argument1_1=Boolean withDataAndEvents
signatureVersion1=1.0
signatureDescr1=Create a deep copy of the set of matched elements.
signatureReturns1=jQuery
ittype1=method
argument2_1=Boolean withDataAndEvents
signatureVersion2=1.5
signatureDescr2=Create a deep copy of the set of matched elements.
signatureReturns2=jQuery
ittype2=method
argument2_2=Boolean deepWithDataAndEvents
s1=clone
signatureCount=2

[remove]
argument1_1=String selector
signatureVersion1=1.0
signatureDescr1=Remove the set of matched elements from the DOM.
signatureReturns1=jQuery
ittype1=method
s1=remove
signatureCount=1

[replaceAll]
argument1_1=Selector target
signatureVersion1=1.2
signatureDescr1=Replace each target element with the set of matched elements.
signatureReturns1=jQuery
ittype1=method
s1=replaceAll
signatureCount=1

[replaceWith]
argument1_1=String, Element, jQuery newContent
signatureVersion1=1.2
signatureDescr1=Replace each element in the set of matched elements with the provided new content.
signatureReturns1=jQuery
ittype1=method
argument2_1=Function function
signatureVersion2=1.4
signatureDescr2=Replace each element in the set of matched elements with the provided new content.
signatureReturns2=jQuery
ittype2=method
s1=replaceWith
signatureCount=2

[wrapInner]
argument1_1=String wrappingElement
signatureVersion1=1.2
signatureDescr1=Wrap an HTML structure around the content of each element in the set of matched elements.
signatureReturns1=jQuery
ittype1=method
argument2_1=Function function(index)
signatureVersion2=1.4
signatureDescr2=Wrap an HTML structure around the content of each element in the set of matched elements.
signatureReturns2=jQuery
ittype2=method
s1=wrapInner
signatureCount=2

[wrapAll]
argument1_1=String, Selector, Element, jQuery wrappingElement
signatureVersion1=1.2
signatureDescr1=Wrap an HTML structure around all elements in the set of matched elements.
signatureReturns1=jQuery
ittype1=method
s1=wrapAll
signatureCount=1

[wrap]
argument1_1=String, Selector, Element, jQuery wrappingElement
signatureVersion1=1.0
signatureDescr1=Wrap an HTML structure around each element in the set of matched elements.
signatureReturns1=jQuery
ittype1=method
argument2_1=Function function(index)
signatureVersion2=1.4
signatureDescr2=Wrap an HTML structure around each element in the set of matched elements.
signatureReturns2=jQuery
ittype2=method
s1=wrap
signatureCount=2

[insertBefore]
argument1_1=Selector, Element, jQuery target
signatureVersion1=1.0
signatureDescr1=Insert every element in the set of matched elements before the target.
signatureReturns1=jQuery
ittype1=method
s1=insertBefore
signatureCount=1

[before]
argument1_1=String, Element, jQuery content
signatureVersion1=1.0
signatureDescr1=Insert content, specified by the parameter, before each element in the set of matched elements.
signatureReturns1=jQuery
ittype1=method
argument1_2=String, Element, Array, jQuery content
argument2_1=Function function
signatureVersion2=1.4
signatureDescr2=Insert content, specified by the parameter, before each element in the set of matched elements.
signatureReturns2=jQuery
ittype2=method
s1=before
signatureCount=2

[insertAfter]
argument1_1=Selector, Element, jQuery target
signatureVersion1=1.0
signatureDescr1=Insert every element in the set of matched elements after the target.
signatureReturns1=jQuery
ittype1=method
s1=insertAfter
signatureCount=1

[after]
argument1_1=String, Element, jQuery content
signatureVersion1=1.0
signatureDescr1=Insert content, specified by the parameter, after each element in the set of matched elements.
signatureReturns1=jQuery
ittype1=method
argument1_2=String, Element, Array, jQuery content
argument2_1=Function function(index)
signatureVersion2=1.4
signatureDescr2=Insert content, specified by the parameter, after each element in the set of matched elements.
signatureReturns2=jQuery
ittype2=method
s1=after
signatureCount=2

[prependTo]
argument1_1=Selector, Element, jQuery target
signatureVersion1=1.0
signatureDescr1=Insert every element in the set of matched elements to the beginning of the target.
signatureReturns1=jQuery
ittype1=method
s1=prependTo
signatureCount=1

[prepend]
argument1_1=String, Element, jQuery content
signatureVersion1=1.0
signatureDescr1=Insert content, specified by the parameter, to the beginning of each element in the set of matched elements.
signatureReturns1=jQuery
ittype1=method
argument1_2=String, Element, jQuery content
argument2_1=Function function(index, html)
signatureVersion2=1.4
signatureDescr2=Insert content, specified by the parameter, to the beginning of each element in the set of matched elements.
signatureReturns2=jQuery
ittype2=method
s1=prepend
signatureCount=2

[appendTo]
argument1_1=Selector, Element, jQuery target
signatureVersion1=1.0
signatureDescr1=Insert every element in the set of matched elements to the end of the target.
signatureReturns1=jQuery
ittype1=method
s1=appendTo
signatureCount=1

[append]
argument1_1=String, Element, jQuery content
signatureVersion1=1.0
signatureDescr1=Insert content, specified by the parameter, to the end of each element in the set of matched elements.
signatureReturns1=jQuery
ittype1=method
argument1_2=String, Element, Array, jQuery content
argument2_1=Function function(index, html)
signatureVersion2=1.4
signatureDescr2=Insert content, specified by the parameter, to the end of each element in the set of matched elements.
signatureReturns2=jQuery
ittype2=method
s1=append
signatureCount=2

[val]
signatureVersion1=1.0
signatureDescr1=Get the current value of the first element in the set of matched elements.
signatureReturns1=String, Number, Array
ittype1=method
s1=val
signatureCount=3
argument2_1=String value
signatureVersion2=1.0
signatureDescr2=Set the value of each element in the set of matched elements.
signatureReturns2=jQuery
ittype2=method
argument3_1=Function function(index, value)
signatureVersion3=1.4
signatureDescr3=Set the value of each element in the set of matched elements.
signatureReturns3=jQuery
ittype3=method

[html]
signatureVersion1=1.0
signatureDescr1=Get the HTML contents of the first element in the set of matched elements.
signatureReturns1=String
ittype1=method
s1=html
signatureCount=3
argument2_1=String htmlString
signatureVersion2=1.0
signatureDescr2=Set the HTML contents of each element in the set of matched elements.
signatureReturns2=jQuery
ittype2=method
argument3_1=Function function(index, oldhtml)
signatureVersion3=1.4
signatureDescr3=Set the HTML contents of each element in the set of matched elements.
signatureReturns3=jQuery
ittype3=method

[map]
argument1_1=Function callback(index, domElement)
signatureVersion1=1.2
signatureDescr1=Pass each element in the current matched set through a function, producing a new jQuery object containing the return values.
signatureReturns1=jQuery
ittype1=method
s1=map
signatureCount=1

[is]
argument1_1=Selector selector
signatureVersion1=1.0
signatureDescr1=Check the current matched set of elements against a selector, element, or jQuery object and return
signatureReturns1=Boolean
ittype1=method
argument2_1=Function function(index)
signatureVersion2=1.6
signatureDescr2=Check the current matched set of elements against a selector, element, or jQuery object and return
signatureReturns2=Boolean
ittype2=method
argument3_1=Object jQuery object
signatureVersion3=1.6
signatureDescr3=Check the current matched set of elements against a selector, element, or jQuery object and return
signatureReturns3=Boolean
ittype3=method
argument4_1=Element element
signatureVersion4=1.6
signatureDescr4=Check the current matched set of elements against a selector, element, or jQuery object and return
signatureReturns4=Boolean
ittype4=method
s1=is
signatureCount=4

[filter]
argument1_1=Selector selector
signatureVersion1=1.0
signatureDescr1=Reduce the set of matched elements to those that match the selector or pass the function's test.
signatureReturns1=jQuery
ittype1=method
argument2_1=Function function(index)
signatureVersion2=1.0
signatureDescr2=Reduce the set of matched elements to those that match the selector or pass the function's test.
signatureReturns2=jQuery
ittype2=method
argument3_1=Element element
signatureVersion3=1.4
signatureDescr3=Reduce the set of matched elements to those that match the selector or pass the function's test.
signatureReturns3=jQuery
ittype3=method
argument4_1=Object jQuery object
signatureVersion4=1.4
signatureDescr4=Reduce the set of matched elements to those that match the selector or pass the function's test.
signatureReturns4=jQuery
ittype4=method
s1=filter
signatureCount=4

[toggleClass]
argument1_1=String className
signatureVersion1=1.0
signatureDescr1=Add or remove one or more classes from each element in the set of matched elements, depending on either the class's presence or the value of the switch argument.
signatureReturns1=jQuery
ittype1=method
argument2_1=String className
signatureVersion2=1.3
signatureDescr2=Add or remove one or more classes from each element in the set of matched elements, depending on either the class's presence or the value of the switch argument.
signatureReturns2=jQuery
ittype2=method
argument2_2=Boolean switch
argument3_1=Boolean switch
signatureVersion3=1.4
signatureDescr3=Add or remove one or more classes from each element in the set of matched elements, depending on either the class's presence or the value of the switch argument.
signatureReturns3=jQuery
ittype3=method
argument4_1=Function function(index, class, switch)
signatureVersion4=1.4
signatureDescr4=Add or remove one or more classes from each element in the set of matched elements, depending on either the class's presence or the value of the switch argument.
signatureReturns4=jQuery
ittype4=method
argument4_2=Boolean switch
s1=toggleClass
signatureCount=4

[removeClass]
argument1_1=String className
signatureVersion1=1.0
signatureDescr1=Remove a single class, multiple classes, or all classes from each element in the set of matched elements.
signatureReturns1=jQuery
ittype1=method
argument2_1=Function function(index, class)
signatureVersion2=1.4
signatureDescr2=Remove a single class, multiple classes, or all classes from each element in the set of matched elements.
signatureReturns2=jQuery
ittype2=method
s1=removeClass
signatureCount=2

[hasClass]
argument1_1=String className
signatureVersion1=1.2
signatureDescr1=Determine whether any of the matched elements are assigned the given class.
signatureReturns1=Boolean
ittype1=method
s1=hasClass
signatureCount=1

[removeAttr]
argument1_1=String attributeName
signatureVersion1=1.0
signatureDescr1=Remove an attribute from each element in the set of matched elements.
signatureReturns1=jQuery
ittype1=method
s1=removeAttr
signatureCount=1

[attr]
argument1_1=String attributeName
signatureVersion1=1.0
signatureDescr1=Get the value of an attribute for the first element in the set of matched elements.
signatureReturns1=String
ittype1=method
s1=attr
signatureCount=4
argument2_1=String attributeName
signatureVersion2=1.0
signatureDescr2=Set one or more attributes for the set of matched elements.
signatureReturns2=jQuery
ittype2=method
argument2_2=String,Number value
argument3_1=Map map
signatureVersion3=1.0
signatureDescr3=Set one or more attributes for the set of matched elements.
signatureReturns3=jQuery
ittype3=method
argument4_1=String attributeName
signatureVersion4=1.1
signatureDescr4=Set one or more attributes for the set of matched elements.
signatureReturns4=jQuery
ittype4=method
argument4_2=Function function(index, attr)

[addClass]
argument1_1=String className
signatureVersion1=1.0
signatureDescr1=Adds the specified class(es) to each of the set of matched elements.
signatureReturns1=jQuery
ittype1=method
argument2_1=Function function(index, currentClass)
signatureVersion2=1.4
signatureDescr2=Adds the specified class(es) to each of the set of matched elements.
signatureReturns2=jQuery
ittype2=method
s1=addClass
signatureCount=2

[jQuery.tmpl]
argument1_1=String, Element, jQuery template
signatureVersion1=1.4.3
signatureDescr1=Render the specified HTML content as a template, using the specified data.
signatureReturns1=jQuery
ittype1=method
argument1_2=Object data
argument1_3=Options options
s1=jQuery.tmpl
signatureCount=1

